%global pixmapdir       %{_datadir}/pixmaps
%global iconsdir        %{_datadir}/icons
%global localedir       %{_datadir}/locale

Name:           mate-applet-streamer
Version:        0.4.0
Release:        1%{?dist}
Summary:        MATE Software Update Applet
Group:          Applications/System
License:        GPLv2
URL:            http://www.zavedil.com/mate-software-updates-applet/
Source:         http://www.zavedil.com/wp-content/uploads/2015/07/mate-applet-streamer-0.4.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:  mate-panel-devel >= 1.3.0
BuildRequires:  gettext-devel
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  sqlite-devel
BuildRequires:	libxml2-devel
Requires:		sqlite
Requires:		libxml2
# Requires: and BuildRequires: for GTK
Requires: gtk3 >= 3.14.0
Requires: gtk3 >= 3.14.0
# Requires: and BuildRequires: for chosen panel
BuildRequires: mate-panel-devel >= 1.3.0
Requires: mate-panel >= 1.3.0
# Requires: and BuildRequires: for chosen notification library
BuildRequires: libnotify-devel >= 0.7.0
Requires: libnotify >= 0.7.0
# Requires: and BuildRequires: for GStreamer
Requires: gstreamer1-plugins-base >= 1.0
BuildRequires: gstreamer1-devel >= 1.0

%description
Software updates notification applet for the MATE desktop environment.

%prep
# If you want to build the RPM in-tree (make rpm), comment out next line
%setup -q

%build
# If you want to build the RPM in-tree (make rpm), comment out next line
%configure
make %{?_smp_mflags} CFLAGS="${CFLAGS}"

%install

rm -rf "${RPM_BUILD_ROOT}"

make install DESTDIR="${RPM_BUILD_ROOT}"

# Do not install doc files: they are handled as rpm doc files.
rm -rf "${RPM_BUILD_ROOT}%{_docdir}"

%find_lang mate-applet-streamer

%post

gtk-update-icon-cache -f -t %{iconsdir}/hicolor

%clean

rm -rf "${RPM_BUILD_ROOT}"

%files -f mate-applet-streamer.lang

%defattr(-, root, root, -)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{_libexecdir}/streamer_applet
%{pixmapdir}/applet_streamer_pause.png
%{pixmapdir}/applet_streamer_play.png
%{pixmapdir}/applet_streamer.48.png
%{iconsdir}/hicolor/16x16/apps/applet_streamer.png
%{iconsdir}/hicolor/22x22/apps/applet_streamer.png
%{iconsdir}/hicolor/24x24/apps/applet_streamer.png
%{iconsdir}/hicolor/32x32/apps/applet_streamer.png
%{_datadir}/mate-panel/applets/org.mate.applets.StreamerApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.StreamerApplet.service
%{_datadir}/streamer_applet/streamer.sqlite
%{_libdir}/bonobo/servers/StreamerAppletFactory.server

%changelog
* Sun Jun 18 2017 Assen Toint <assen.totin@gmail.com>
- Release 0.4.0

* Sun Dec 11 2016 Assen Toint <assen.totin@gmail.com>
- Release 0.3.11

* Sun Jan 3 2016 Assen Totin <assen.totin@gmail.com>
- Release 0.3.10

* Sat Jan 2 2016 Assen Totin <assen.totin@gmail.com>
- Release 0.3.9

* Sat Jan 2 2016 Assen Totin <assen.totin@gmail.com>
- Release 0.3.8

* Sat Jan 2 2016 Assen Totin <assen.totin@gmail.com>
- Release 0.3.7

* Fri Jan 1 2016 Assen Totin <assen.totin@gmail.com>
- Release 0.3.6

* Thu Dec 31 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.5

* Wed Dec 30 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.4

* Tue Dec 29 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.3

* Wed Dec 16 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.2

* Mon Dec 14 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.1

* Sun Dec 13 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.3.0

* Sun Aug 30 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.2.3

* Sun Aug 16 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.2.2

* Sun Jul 26 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.2.1

* Sun Jul 26 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.2.0

* Sat Jul 5 2015 Assen Totin <assen.totin@gmail.com>
- Release 0.1.4

* Wed Dec 31 2014 Assen Totin <assen.totin@gmail.com>
- Release 0.1.3
 
* Sat Nov 14 2014 Assen Totin <assen.totin@gmail.com>
- Release 0.1.2

* Sun Nov 2 2014 Assen Totin <assen.totin@gmail.com>
- Release 0.1.1

* Thu Apr 24 2014 Assen Totin <assen.totin@gmail.com>
- Release 0.1.0

* Mon Dec 23 2013 Assen Totin <assen.totin@gmail.com>
- Release 0.0.5

* Sun Nov 3 2013 Assen Totin <assen.totin@gmail.com>
- Release 0.0.4

* Wed Oct 16 2013 Assen Totin <assen.totin@gmail.com>
- Release 0.0.3

* Thu Sep 26 2013 Assen Totin <assen.totin@gmail.com>
- Release 0.0.2

* Sun Sep 1 2013 Assen Totin <assen.totin@gmail.com>
- Release 0.0.1

